org.sqlite

## Class Function.Window

- java.lang.Object
- - org.sqlite.Function
  - - org.sqlite.Function.Aggregate
    - - org.sqlite.Function.Window

All Implemented Interfaces:
  Cloneable

Enclosing class:
  Function

    public abstract static class Function.Window
    extends Function.Aggregate

Provides an interface for creating SQLite user-defined window functions.

See Also:
  `Function.Aggregate`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.sqlite.Function

`Function.Aggregate, Function.Window`

### Field Summary

### Fields inherited from class org.sqlite.Function

`FLAG_DETERMINISTIC`

### Constructor Summary

Constructors
Constructor and Description
`Window()`

### Method Summary

All Methods Instance Methods Abstract Methods
`protected abstract void` `xInverse()` Defines the abstract window callback function
`protected abstract void` `xValue()` Defines the abstract window callback function

### Methods inherited from class org.sqlite.Function.Aggregate

`clone, xFinal, xFunc, xStep`

### Methods inherited from class org.sqlite.Function

`args, create, create, destroy, error, result, result, result, result, result, result, value_blob, value_double, value_int, value_long, value_text, value_type`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Window

    public Window()

### Method Detail

#### xInverse

    protected abstract void xInverse()
                              throws SQLException

Defines the abstract window callback function

Throws:
  `SQLException`
See Also:
  https://sqlite.org/windowfunctions.html#user_defined_aggregate_window_functions

#### xValue

    protected abstract void xValue()
                            throws SQLException

Defines the abstract window callback function

Throws:
  `SQLException`
See Also:
  https://sqlite.org/windowfunctions.html#user_defined_aggregate_window_functions